Update project
PATCH /projects/{id}
PATCH
/projects/{id}
Partially updates a project.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Request Body
Section titled “Request Body ”object
name
string
projectNumber
string
contactId
integer | null
projectType
string | null
status
string
priority
string | null
description
string | null
siteAddress
string | null
assignedTo
integer | null
Responses
Section titled “ Responses ”Updated
object
data
required
object
id
required
integer
name
required
string
projectNumber
required
string
contactId
required
integer | null
bidId
required
integer | null
projectType
required
string | null
status
required
string
priority
required
string | null
contractValue
required
string | null
description
required
string | null
siteAddress
required
string | null
assignedTo
required
integer | null
meta
required
object
request_id
Server-generated request identifier
string
pagination
object
cursor
required
Opaque cursor for the next page; null when no more results
string | null
has_more
required
Whether more pages are available after this one
boolean
count
required
Items in this page
integer
Not found
object
type
required
URL identifying the problem type
string format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string
Validation failed
object
type
required
URL identifying the problem type
string format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string